Skip to main content

Netbeans Module Install Error

2 replies [Last post]
itvguy2000
Offline
Joined: 2007-05-15
Points: 0

I get the following error in the NetBeans output console after installing the jmaki module:
jmaki-ext-0.9.6.zip not installed:
C:\Documents and Settings\Bubba\.netbeans\5.5.1\jmakicomplib\jmaki-ext\templates\Ext\menu\.:value.swp (The filename, directory name, or volume label syntax is incorrect)

I believe this is an error with the NBM install script. Has anyone else experienced this? Are there workarounds or fixes?

Thanks,

ITVGuy2000

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
gmurray71
Offline
Joined: 2003-07-31
Points: 0

Hi,

We found the problem which were some extra goodies in the widget library. I've created a working version of the Ext library at:

https://widgets.dev.java.net/servlets/ProjectDocumentList?folderID=7852

Let us know if you have problems with this.

-G

gmurray71
Offline
Joined: 2003-07-31
Points: 0

Hi,

I saw the same issue on my windows box with NB 5.5.1 and we are looking at it. I have not seen on other platforms yet.

As a workaround you can do the following to use the Ext widgets:

Unzip the C:\Documents and Settings\Bubba\.netbeans\5.5.1\jmakicomplib\jmaki-ext-0.9.6.zip file into the /resources directory of your web application.

Use the tree, table/dataTable, or menu templates from Dojo or Yahoo as the format is exactly the same.

All you need to do is rename them using Ext.tree, Ext.grid (for table/dataTable), or Ext.menu

The widgets will also appear in the page if you simply add the widgets to the page (the data will be loaded from the widget configuration files.

We'll try to get an update out soon.